EDIT - task #6004

Fix wiki page Roadmap
07/25/2016 09:54 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: devOps Estimated time: 0:00 hour
Target version:

Severity: normal

Description

The trac query macros which have been used in trac need to be replaced by equivalent functionality in redemine:
Query macros for Roadmap page and others:

e https://redmine.org/issues/1226
e https://www.redmine.org/plugins/redmine_wiki_lists

History

#1 - 07/25/2016 05:01 PM - Andreas Miiller
- Assignee set to Andreas Kohlbecker

- Target version set to Release 4.3

#2 - 07/26/2016 11:08 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

| found a solution by making use of the redmine_wiki_lists plugin
This macro

{{ref_issues(-g:Released.2 , id, subject, status)}}
results in the display of the issued found by the saved custom query Release4.2in form of a table
The result is actually more space consuming compared to what we had in trac, but it is the only straight forward solution i found.
Other options could be:
1. Write a plugin
2. Use the http://www.redmine.org/plugins/advanced_roadmap or https://github.com/Coren/redmine_advanced roadmap_v2 plugins.

3. https://github.com/hdgarrood/redmine_release notes
4. https://github.com/k41n/redmine_milestones

Separating out Milestones from Releases would make the build-in Roadmap Views more clear and focused on versions. Using
redmine_release_notes together with a plugin which supports milestones could be nice solution, but maybe much more work to maintain.

Andreas Miiller: please review

#3 - 09/07/2016 11:23 AM - Andreas Miiller

- Category set to devOps

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
- Target version deleted (Release 4.3)

- % Done changed from 0 to 100

This looks good to me. the result looks very similar to what we had before and to have the status also available is an advantage | think. This way
developers can easily find out if there are e.g. duplicates still handled in the milestones though they shouldn't.

The alternatives do all have drawbacks as either the projects are not maintained anymore or they do not allow as much configurability as our current
solution.

| think we can close this ticket.
